class Dtdream < Fog::Bin
  class << self
    def class_for(key)
      case key
      when :storage
        Fog::Storage::Dtdream
      else
        raise ArgumentError, "Unrecognized service: #{key}"
      end
    end

    def [](service)
      @@connections ||= Hash.new do |hash, key|
        hash[key] = case key
        when :storage
          Fog::Logger.warning("Dtdream[:storage] is not recommended, use Storage[:openstack] for portability")
          Fog::Storage.new(:provider => 'dtdream')
        else
          raise ArgumentError, "Unrecognized service: #{key.inspect}"
        end
      end
      @@connections[service]
    end

    def services
      Fog::Dtdream.services
    end
  end
end
